X Library Init and Shutdown Functions

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
X Library Init and Shutdown Functions
Ecore » Ecore_X - X11 Integration

Functions that start and shut down the Ecore X Library. More...

## Functions
int | ecore_x_init (const char *name)
| Initialize the X display connection to the given display. More...
int | ecore_x_shutdown (void)
| Shuts down the Ecore X library. More...
int | ecore_x_disconnect (void)
| Shuts down the Ecore X library. More...

## Detailed Description

Functions that start and shut down the Ecore X Library.

## Function Documentation

int ecore_x_init | ( | const char * | name | ) |

Initialize the X display connection to the given display.

Parameters

  name | Display target name. If `NULL`, the default display is assumed.

Returns
  The number of times the library has been initialized without being shut down. 0 is returned if an error occurs.

References dlopen(), dlsym(), ecore_event_init(), ecore_event_shutdown(), ECORE_FD_READ, ecore_idle_enterer_add(), ecore_init(), ecore_main_fd_handler_add(), ecore_shutdown(), ECORE_X_NET_WM_PROTOCOL_PING, ECORE_X_NET_WM_PROTOCOL_SYNC_REQUEST, ECORE_X_WM_PROTOCOL_DELETE_REQUEST, ECORE_X_WM_PROTOCOL_TAKE_FOCUS, eina_init(), eina_log_domain_register(), eina_log_domain_unregister(), EINA_LOG_ERR, eina_shutdown(), EINA_TRUE, ERR, RTLD_GLOBAL, and RTLD_LAZY.

int ecore_x_shutdown | ( | void |  | ) |

Shuts down the Ecore X library.

In shutting down the library, the X display connection is terminated and any event handlers for it are removed.

Returns
  The number of times the library has been initialized without being shut down.

In shutting down the library, the X display connection is terminated and any event handlers for it are removed.

Returns
  The number of times the library has been initialized without being shut down. 0 is returned if an error occurs.

References EINA_TRUE.

int ecore_x_disconnect | ( | void |  | ) |

Shuts down the Ecore X library.

As ecore_x_shutdown, except do not close Display, only connection.

Returns
  The number of times the library has been initialized without being shut down. 0 is returned if an error occurs.

As ecore_x_shutdown, except do not close Display, only connection.

References EINA_FALSE.